Package org.apache.commons.math3.analysis.interpolation

# Class BicubicSplineInterpolator

java.lang.Object
org.apache.commons.math3.analysis.interpolation.BicubicSplineInterpolator

All Implemented Interfaces:
  `BivariateGridInterpolator`

Direct Known Subclasses:
  `SmoothingPolynomialBicubicSplineInterpolator`

@Deprecated public class BicubicSplineInterpolator extends Object implements BivariateGridInterpolator
Deprecated.
as of 3.4 replaced by `PiecewiseBicubicSplineInterpolator`
Generates a bicubic interpolating function. Due to numerical accuracy issues this should not be used.

Since:
  2.2

## Constructor Summary

Constructors
Constructor
Description
`BicubicSplineInterpolator()`
Deprecated.
Default constructor.
`BicubicSplineInterpolator(boolean initializeDerivatives)`
Deprecated.
Creates an interpolator.

## Method Summary

Modifier and Type
Method
Description
`BicubicSplineInterpolatingFunction`
`interpolate(double[] xval, double[] yval, double[][] fval)`
Deprecated.
Compute an interpolating function for the dataset.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BicubicSplineInterpolator

public BicubicSplineInterpolator()
Deprecated.
Default constructor. The argument `initializeDerivatives` is set to `false`.

### BicubicSplineInterpolator

public BicubicSplineInterpolator(boolean initializeDerivatives)
Deprecated.
Creates an interpolator.

Parameters:
  `initializeDerivatives` - Whether to initialize the internal data needed for calling any of the methods that compute the partial derivatives of the `function` returned from the call to `interpolate`.

## Method Details

### interpolate

public BicubicSplineInterpolatingFunction interpolate(double[] xval, double[] yval, double[][] fval) throws NoDataException, DimensionMismatchException, NonMonotonicSequenceException, NumberIsTooSmallException
Deprecated.
Compute an interpolating function for the dataset.

Specified by:
  `interpolate` in interface `BivariateGridInterpolator`
Parameters:
  `xval` - All the x-coordinates of the interpolation points, sorted in increasing order.
  `yval` - All the y-coordinates of the interpolation points, sorted in increasing order.
  `fval` - The values of the interpolation points on all the grid knots: `fval[i][j] = f(xval[i], yval[j])`.
Returns:
  a function which interpolates the dataset.
Throws:
  `NoDataException` - if any of the arrays has zero length.
  `DimensionMismatchException` - if the array lengths are inconsistent.
  `NonMonotonicSequenceException` - if the array is not sorted.
  `NumberIsTooSmallException` - if the number of points is too small for the order of the interpolation